## composer 2.5.3

=== debian/changelog ===
composer (2.5.3-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Release 2.5.3

  [ Nicolas Grekas ]
  * Add extra.plugin-optional to auto-disable plugins in non-interactive mode
    (#11315)

 -- David Prévot <taffit@debian.org>  Sat, 11 Feb 2023 06:53:04 +0100
