=== debian/control ===
Source: composer
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-phpcomposer,
               git,
               help2man,
               jsonlint,
               mercurial,
               php-composer-ca-bundle,
               php-composer-class-map-generator,
               php-composer-metadata-minifier,
               php-composer-pcre (>= 2),
               php-composer-semver,
               php-composer-spdx-licenses,
               php-composer-xdebug-handler (>= 2),
               php-curl,
               php-intl,
               php-json-schema (>= 5.2.11),
               php-mbstring,
               php-psr-log,
               php-react-promise (>= 2.8),
               php-seld-signal-handler,
               php-symfony-console (>= 5.4),
               php-symfony-filesystem (>= 5.4),
               php-symfony-finder (>= 5.4),
               php-symfony-process (>= 5.4),
               php-zip,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.41~)
Standards-Version: 4.6.2
Homepage: https://getcomposer.org/
Vcs-Browser: https://salsa.debian.org/php-team/pear/composer
Vcs-Git: https://salsa.debian.org/php-team/pear/composer.git
Rules-Requires-Root: no

Package: composer
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: git, unzip, ${phpcomposer:Debian-recommend}
Suggests: fossil, mercurial, subversion, ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: dependency manager for PHP
 ${phpcomposer:description}.
 .
 It behaves like Bundler (Ruby), npm (Node), etc.
