=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
UPSTREAM := $(DEB_VERSION_UPSTREAM)
USRDIR   := $(CURDIR)/debian/composer/usr

%:
	dh $@ -XCompiler.php

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/Composer/autoload.php \
		--template debian/autoload.php.tpl \
		src/Composer
	mkdir --parents vendor
	phpabtpl \
		--require composer/composer \
		> debian/autoload.tests.php.tpl
	phpab \
		--tolerant \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		--exclude tests/Composer/Test/Autoload/Fixtures/autoload_static_functions_with_removed_include_paths_and_autolad_files.php \
		--exclude tests/Composer/Test/Autoload/Fixtures/autoload_static_functions_with_include_paths.php \
		--exclude tests/Composer/Test/Autoload/Fixtures/autoload_real_functions_with_include_paths.php \
		--exclude tests/Composer/Test/Autoload/Fixtures/autoload_real_functions_with_removed_include_paths_and_autolad_files.php \
		--exclude tests/Composer/Test/Autoload/Fixtures/pcrebacktracelimit/StripNoise.php \
		--exclude tests/Composer/Test/Fixtures/functional/installed-versions2/plugin-a/PluginA.php \
		--exclude tests/Composer/Test/Fixtures/functional/installed-versions2/vendor/plugin/a/PluginA.php \
		--exclude tests/Composer/Test/Fixtures/functional/installed-versions2/plugin-b/PluginB.php \
		--exclude tests/Composer/Test/Fixtures/functional/installed-versions2/vendor/plugin/b/PluginB.php \
		--exclude tests/Composer/Test/Fixtures/functional/installed-versions2/Hooks.php \
		--exclude tests/Composer/Test/Fixtures/functional/installed-versions2/vendor/composer/InstalledVersions.php \
		--exclude tests/Composer/Test/Fixtures/functional/installed-versions2/vendor/composer/ClassLoader.php \
		--exclude tests/Composer/Test/Fixtures/functional/plugin-autoloading-only-loads-dependencies/plugin-a/PluginA.php \
		--exclude tests/Composer/Test/Fixtures/functional/plugin-autoloading-only-loads-dependencies/plugin-b/PluginB.php \
		--exclude tests/Composer/Test/Plugin/Fixtures/plugin-v9/Installer/Plugin.php \
		--exclude tests/Composer/Test/Plugin/Fixtures/plugin-v2/Installer/Plugin2.php \
		--exclude tests/Composer/Test/Plugin/Fixtures/plugin-v3/Installer/Plugin2.php \
		tests/Composer/Test

override_dh_auto_test:
	phpunit --include-path src --verbose --exclude-group remote,git

override_dh_installdocs:
	dh_installdocs -Xdoc/composer

execute_after_dh_install:
	mkdir --parent $(CURDIR)/debian/tmp
	cd $(USRDIR)/share/php && \
		$(CURDIR)/bin/composer completion --no-interaction bash \
		> $(CURDIR)/debian/tmp/composer

execute_before_dh_installman:
	cd $(USRDIR)/share/php && help2man \
		--help-option=\  \
		--include=$(CURDIR)/debian/composer.1.in \
		--version-string=$(UPSTREAM) \
		--source="composer $(UPSTREAM)" \
		--no-info \
		--no-discard-stderr \
		"echo -n 'Usage: composer' && $(CURDIR)/bin/composer --no-ansi | tail -n+10" \
		> $(CURDIR)/debian/tmp/composer.1
