## composer 2.5.4

=== debian/changelog ===
composer (2.5.4-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Release 2.5.4

  [ Marek Nocoń ]
  * Added optional plugin check in PluginInstaller (#11318)

 -- David Prévot <taffit@debian.org>  Wed, 15 Feb 2023 18:24:56 +0100
