## composer 2.5.5

=== debian/changelog ===
composer (2.5.5-1+deb12u2) bookworm-security; urgency=medium

  * Include security fixes from 2.7.7:
    - Multiple command injections via malicious git/hg branch names
      (GHSA-v9qv-c7wm-wgmf) [CVE-2024-35242] (Closes: #1073126)
    - Command injection via malicious git branch name
      (GHSA-47f6-5gq3-vx9c) [CVE-2024-35241] (Closes: #1073125)

 -- David Prévot <taffit@debian.org>  Fri, 14 Jun 2024 08:01:19 +0200

composer (2.5.5-1+deb12u1) bookworm-security; urgency=medium

  * Track debian/bookworm
  * Merge pull request from GHSA-7c6p-848j-wh5h [CVE-2024-24821]
    (Closes: #1063603)
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Tue, 13 Feb 2024 16:09:38 +0100

composer (2.5.5-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Escape % chars in user input before passing to sprintf, fixes #11359
  * Fix github header handling to be case insensitive, fixes rate limit
    extraction (#11366)
  * Fix return type of InstalledVersions::getInstalled, fixes #11304
  * Update changelog
  * Release 2.5.5

  [ Uladzimir Tsykun ]
  * Fix basic auth infinite loop (#11320)

  [ Wim Leers ]
  * Follow-up for #5205: fix high concurrency race condition

 -- David Prévot <taffit@debian.org>  Fri, 24 Mar 2023 10:41:51 +0100
