=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
 Standards-Version: 4.6.2
 Homepage: https://getcomposer.org/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/composer
-Vcs-Git: https://salsa.debian.org/php-team/pear/composer.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/composer.git -b debian/bookworm
 Rules-Requires-Root: no
 
 Package: composer
