## composer 2.5.8

=== debian/changelog ===
composer (2.5.8-1) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released

  [ Jordi Boggiano ]
  * Fix regression in edge cases where root package gets added to a repository
    already during the install process, fixes #11495
  * Fix EventDispatcher on windows picking bat files when using "@php binary",
    fixes #11490
  * Ignore ICU CDLR version fetching when ICU cannot initialize the resource
    bundle, fixes #11492
  * Update type declarations on ClassLoader, fixes #11482 (#11500)
  * Release 2.5.8

  [ David Prévot ]
  * Avoid option not compatible with PHPUnit 10

 -- David Prévot <taffit@debian.org>  Tue, 13 Jun 2023 07:21:32 +0200

composer (2.5.7-1) experimental; urgency=medium

  [ Jordi Boggiano ]
  * Fix autoload regression with metapackage dependencies (#11481)
  * Update changelog
  * Release 2.5.7

 -- David Prévot <taffit@debian.org>  Wed, 24 May 2023 20:51:32 +0200

composer (2.5.6-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Jordi Boggiano ]
  * Fix lock file being more recent than vendor dir when require guesses the
    constraint after resolution, fixes #11405
  * Fixed binary proxies to return whatever the original binary returns as
    well, fixes #11416 (#11454)
  * Fix support for readonly classes as plugins, fixes #11404
  * Fix getmypid being required as it is not always available, fixes #11401
  * Return null for install path for metapackages instead of an empty path
    which then resolves to the root package's path (#11455)
  * Fix numeric default-branches with v prefix (e.g. v2.x-dev) being treated
    as non-numeric and receiving an alias like e.g. dev-main
  * Fix lock file verification to take into account root provider/replacers
    and output mismatches there more clearly, fixes #11458 (#11475)
  * Update changelog
  * Release 2.5.6

  [ Stefan Grootscholten ]
  * Fix authentication issues with private bitbucket repos (#11464)

 -- David Prévot <taffit@debian.org>  Wed, 24 May 2023 12:51:13 +0200
