## composer 2.6.5

=== debian/changelog ===
composer (2.6.5-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix autoload generator dump() non-BC signature change in 2.6.4
  * Release 2.6.5

  [ Uladzimir Tsykun ]
  * Fix error when vendor dir contains broken symlinks (#11670)

 -- David Prévot <taffit@debian.org>  Sun, 08 Oct 2023 09:17:05 +0200

composer (2.6.4-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Merge pull request from GHSA-jm6m-4632-36hf [CVE-2023-43655]
  * Release 2.6.4

 -- David Prévot <taffit@debian.org>  Tue, 03 Oct 2023 13:21:24 +0200

composer (2.6.3-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix loading of root aliases on path repo packages when doing partial
    updates, fixes #11630 (#11632)
  * Add audit.abandoned warnings for abandoned packages, fixes #11623 (#11639)
  * Release 2.6.3

  [ Christophe Coevoet ]
  * Fix the promise resolution for the cleanup logic (#11620)

  [ Jason McCreary ]
  * Get realpath for `ZipArchive` (#11636)

  [ Yanick Witschi ]
  * Fixed replaced packages being incorrectly missing when unlocked by an old
    version (#11629)

  [ wgevaert ]
  * Add warning when duplicate "files" autoload rules are detected (#11109)

 -- David Prévot <taffit@debian.org>  Sat, 16 Sep 2023 17:18:35 +0530

composer (2.6.2-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Release 2.6.2

 -- David Prévot <taffit@debian.org>  Tue, 05 Sep 2023 20:05:50 +0530
