## composer 2.6.6

=== debian/changelog ===
composer (2.6.6-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Release 2.6.6

  [ Dan Wallis ]
  * Use global constant if available for libpq version (#11684)
  * Display error instead of throwing exception when unable to update
    with temporary constraint (#11692)

 -- David Prévot <taffit@debian.org>  Tue, 12 Dec 2023 07:49:21 +0100
