## composer 2.7.1

=== debian/changelog ===
composer (2.7.1-2) unstable; urgency=medium

  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sun, 11 Feb 2024 12:08:01 +0100

composer (2.7.1-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Merge pull request from GHSA-7c6p-848j-wh5h [CVE-2024-24821]
    (Closes: #1063603)
  * Release 2.7.1

  [ David Prévot ]
  * Extend recommended packages list (Closes: #1061291)

 -- David Prévot <taffit@debian.org>  Sat, 10 Feb 2024 11:18:19 +0100
