=== debian/control ===
--- 
+++ 
@@ -35,13 +35,20 @@
 Standards-Version: 4.6.2
 Homepage: https://getcomposer.org/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/composer
-Vcs-Git: https://salsa.debian.org/php-team/pear/composer.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/php-team/pear/composer.git
 Rules-Requires-Root: no
 
 Package: composer
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
-Recommends: git, unzip, ${phpcomposer:Debian-recommend}
+Recommends: git,
+            php-curl,
+            php-intl,
+            php-mbstring,
+            php-zip,
+            unzip,
+            xz-utils,
+            ${phpcomposer:Debian-recommend}
 Suggests: fossil, mercurial, subversion, ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
