=== debian/tests/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
          php-curl,
          php-intl,
          php-mbstring,
-         php-symfony-console,
          php-zip,
          phpab,
          phpunit,
-         pkg-php-tools (>= 1.41~),
+         pkg-php-tools,
          xz-utils,
          @
