## composer 2.7.4

=== debian/changelog ===
composer (2.7.4-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix composer status command handling of failed promises, closes #11889
  * Ensure integer env vars do not cause a crash, fixes #11908
  * Ensure we clear the locally configured cache dir instead of default one,
    fixes #11921
  * Fix show command output to remove v prefixes on versions, making for more
    uniform output, fixes #11925
  * Release 2.7.4

  [ Yanick Witschi ]
  * Only show warning about default version when not "project" type (#11885)

  [ Ayesh Karunaratne ]
  * [PHP 8.4] Fix for implicit nullability deprecation (#11888)

  [ Brad Jones ]
  * Surface the advisory ID when CVE not present. (#11892)

  [ gaxweb ]
  * Allow for SSH URLs when using hg repository type (#11878)

  [ Fabrizio Balliano ]
  * Added support for buy_me_a_coffee (#11902)

  [ John Stevenson ]
  * Refactor proxy handling to require https_proxy (#11915)

  [ Barry vd. Heuvel ]
  * Load ProxyManager before running command to fix autoload order (#11943)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Drop version from build-dependencies

 -- David Prévot <taffit@debian.org>  Tue, 23 Apr 2024 08:06:18 +0200

composer (2.7.2-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix plugins still being available in a few special contexts when running
    as non-interactive root, mainly create-project, refs #11854
  * Optimize outdated --ignore to avoid fetching the latest package info for
    ignored packages, fixes #11863
  * Fix ensureDirectoryExists not working when a broken symlink appears
    somewhere in the path, fixes #11864
  * Release 2.7.2

  [ Pol Dellaiera ]
  * Add a warning message when Composer is not able to guess the root package
    version (#11858)
  * Fix update --lock to avoid updating all metadata except dist/source urls
    and mirrors (#11850)

  [ Michael Newton ]
  * Include PHP information when showing Composer version verbosely (#11866)

  [ Bastien Roucariès ]
  * Add salsa-ci.yml

 -- David Prévot <taffit@debian.org>  Tue, 12 Mar 2024 08:18:18 +0100
