## composer 2.7.6

=== debian/changelog ===
composer (2.7.6-3) unstable; urgency=medium

  * Compatibility with updated php-composer-class-map-generator

 -- David Prévot <taffit@debian.org>  Sat, 08 Jun 2024 07:52:56 +0200

composer (2.7.6-2) unstable; urgency=medium

  * Make provider functions static (PHPUnit 11 Fix) (Closes: #1070504)

 -- David Prévot <taffit@debian.org>  Mon, 20 May 2024 11:37:45 +0200

composer (2.7.6-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Workaround curl bug in 8.7.0/8.7.1, fixes #11913
  * Fix config command issue handling objects in some conditions, fixes #11945
  * Add new uninstall alias to docs
  * Fix binary proxies having an absolute path to vendor dir when project dir
    is a symlink, fixes #11947
  * Fix Composer autoloader being hijackable by script/plugin event handlers
    (#11955)
  * Fix transport exception not always using 255 exit code, fixes #11954
  * Tweak exit code for network errors to be 100, refs #11954
  * Fix private autoloader callbacks breaking the new runtime autoloader
    handling code
  * Release 2.7.6

  [ maximilian-walter ]
  * Don't show root warning for Podman containers (#11946)

  [ Buster Neece ]
  * Add "uninstall" as alias to "remove". (#11951)

 -- David Prévot <taffit@debian.org>  Sun, 05 May 2024 09:32:03 +0200
