## composer 2.7.7

=== debian/changelog ===
composer (2.7.7-2) unstable; urgency=medium

  * Use --require-file for phpabtl (Closes: #1074182)

 -- David Prévot <taffit@debian.org>  Tue, 25 Jun 2024 07:58:56 +0200

composer (2.7.7-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix Filesystem::isLocalPath including windows checks on linux
  * Fix perforce arg not being escaped correctly
  * Fix handling of zip bombs when unzipping archives
  * Fix UX when a non-required plugin is still present in vendor dir (#12000)
  * Fixed PSR violations for classes not matching the namespace of a rule being
    hidden, fixes #11957
  * Fix new platform requirements from composer.json not being checked when
    composer.lock is outdated, fixes #11989 (#12001)
  * Fix empty type support in init command, fixes #11999
  * Fix secure-http check to avoid bypass using emojis
  * Merge pull request from GHSA-v9qv-c7wm-wgmf [CVE-2024-35242]
    (Closes: #1073126)
  * Merge pull request from GHSA-47f6-5gq3-vx9c [CVE-2024-35241]
    (Closes: #1073125)
  * Fix windows parameter encoding to prevent abuse of unicode characters with
    best fit encoding conversion
  * Release 2.7.7

  [ Krzysztof Ciszewski ]
  * composer#11852 fix: ability to remove autoload* keys (#11967)
  * Fix composer error when git config safe.bareRepository is set to explicit
    (#11969)

  [ Dan Wallis ]
  * Close style tags to avoid bleed (#11972)

  [ Sam B ]
  * To enable to the TransportException code to be accessed in PHP < 8.1, make
    reflection property accessible (#11974)

 -- David Prévot <taffit@debian.org>  Thu, 13 Jun 2024 08:57:06 +0200
