## composer 2.7.8

=== debian/changelog ===
composer (2.7.8-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix archive command crashing if a path cannot be realpathed on windows,
    fixes #11544
  * Refactor the BasePackage::$stabilities into a constant
  * Fix addressability of branches containing # characters (#12042)
  * Improvements to docker detection (#12062)
  * Normalize namespaces in psr-0/psr-4 rules to fix edge cases, fixes
    #12028 (#12063)
  * Ensure COMPOSER_AUTH takes precedence over local auth.json, fixes #12084
  * Fix relative:true not being respected in path repo installs, fixes
    #12074 (#12092)
  * Fix duplicate libraries causing issues when conflicting extensions from
    core and pecl are installed concurrently (#12093)
  * Fix copy() sometimes failing on virtualbox shared folders, fixes #12057
  * Release 2.7.8

  [ Ilya Urvachev ]
  * fix(Locker): don't store transport-options.ssl within the lock-file (#12019)

  [ ADmad ]
  * Fix deprecation notice on PHP 8.4 (#12046)

  [ Sam L ]
  * Provide release-date/release-age and latest-release-date in composer outdated -A -f json (#12053)

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 12:38:50 +0200
