## composer 2.8.1

=== debian/changelog ===
composer (2.8.1-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix a few cases where the prompt for using a parent dir's composer.json fails to work correctly, fixes #8023
  * Fix --strict-ambiguous to really report all issues, fixes #12140 (#12148)
  * Fix create-project to reuse the target folders permissions for files created (#12146)
  * Release 2.8.1

  [ Antal Áron ]
  * Allow init without license (#12145)

 -- David Prévot <taffit@debian.org>  Wed, 09 Oct 2024 14:52:18 +0200

composer (2.8.0-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix handling of COMPOSER_ROOT_VERSION to normalize according to
    expectations, fixes #12101 (#12109)
  * Fix handling of platform packages in why-not command and partial updates,
    fixes #12104 (#12110)
  * Add suggestions of provider packages for ext- and lib- packages (#12113)
  * Fix require command skipping new stability-flags from the lock file, fixes
    #11698 (#12112)
  * Add a way to control which scripts get args and where (#12086)
  * Respect sort-packages option when adding plugins to the allow-plugins list,
    fixes #11348
  * Add --strict-ambiguous to dump-autoload command (#12119)
  * Show warnings for each missing platform package in create-project, fixes
    #10736 (#12120)
  * Validate licenses passed into init command (#12115)
  * Add ability to reinstall packages by type (#12114)
  * Add --patch-only flag to update command to restrict updates to patch
    versions and make them safer (#12122)
  * Make version guessing more deterministic if two branches appear to be the
    base of a feature branch (#12129)
  * Fix init command to accept proprietary as license
  * Update changelog
  * Release 2.8.0

  [ Mohamed Hubail ]
  * Add `--abandoned` option (#12091)

  [ John Stevenson ]
  * Remove proxy transition fallback (#11938)

  [ Job Vink ]
  * Improve interactive package updates (#11990)

  [ Joe ]
  * Add allow-missing-requirements config setting to ignore missing
    requirements (#11966)

  [ Carlos Granados ]
  * Add option to run bump after update (#11942)

  [ Juliette ]
  * PHP 8.4 | Remove use of `E_STRICT` (#12116)

  [ PrinsFrank ]
  * Add dry-run argument to dump-autoload documentation (#12138)

  [ Johnson Page ]
  * Add `composer audit --ignore-severity` option (#12132)

  [ David Prévot ]
  * Change expected output in a test

 -- David Prévot <taffit@debian.org>  Fri, 04 Oct 2024 08:12:05 +0200

composer (2.7.9-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix docker detection breaking on constrained environments, fixes #12095
  * Release 2.7.9

 -- David Prévot <taffit@debian.org>  Fri, 06 Sep 2024 07:47:45 +0200
