## composer 2.8.2

=== debian/changelog ===
composer (2.8.2-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Clean up lock update code to remove redundancy and avoid errors (#12149)
  * Fix handling of signals in non-PHP binaries run via proxies (#12176)
  * Fix create-project regression when using path repos with relative paths,
    fixes #12150
  * Remove SignalHandler from Application to fix issues handling ctrl-C
    inside prompts
  * Release 2.8.2

  [ Christian Flothmann ]
  * do not stumble over missing descriptions (#12152)

 -- David Prévot <taffit@debian.org>  Sat, 02 Nov 2024 17:59:43 +0100
