## composer 2.8.3

=== debian/changelog ===
composer (2.8.3-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Avoid updating the lock hash if there is no lock
  * Release 2.8.3

 -- David Prévot <taffit@debian.org>  Mon, 18 Nov 2024 07:52:28 +0100
