=== debian/rules ===
--- 
+++ 
@@ -2,20 +2,34 @@
 
 include /usr/share/dpkg/default.mk
 UPSTREAM := $(DEB_VERSION_UPSTREAM)
-USRDIR   := $(CURDIR)/debian/composer/usr
+USRDIR   := $(CURDIR)/build
 
 %:
 	dh $@ -XCompiler.php
 
 override_dh_auto_build:
-	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/Composer/autoload.php \
 		--template debian/autoload.php.tpl \
 		src/Composer
-	mkdir --parents vendor
+	mkdir --parents vendor build/share/php/data/Composer
+	# Mimic system path for tests
+	cp -r src/Composer build/share/php
+	cp -r LICENSE res build/share/php/data/Composer
+	ln -s /usr/share/php/Composer/CaBundle build/share/php/Composer
+	ln -s /usr/share/php/Composer/ClassMapGenerator build/share/php/Composer
+	ln -s /usr/share/php/Composer/MetadataMinifier build/share/php/Composer
+	ln -s /usr/share/php/Composer/Pcre build/share/php/Composer
+	ln -s /usr/share/php/Composer/Semver build/share/php/Composer
+	ln -s /usr/share/php/Composer/Spdx build/share/php/Composer
+	ln -s /usr/share/php/Composer/XdebugHandler build/share/php/Composer
+	ln -s /usr/share/php/JsonSchema build/share/php
+	ln -s /usr/share/php/Psr build/share/php
+	ln -s /usr/share/php/React build/share/php
+	ln -s /usr/share/php/Seld build/share/php
+	ln -s /usr/share/php/Symfony build/share/php
 	phpabtpl \
-		--require composer/composer \
+		--require-file ../build/share/php/Composer/autoload.php \
 		> debian/autoload.tests.php.tpl
 	phpab \
 		--tolerant \
@@ -41,15 +55,16 @@
 		tests/Composer/Test
 
 override_dh_auto_test:
-	phpunit --include-path src --exclude-group remote,git
+	phpunit --include-path build/share/php --exclude-group remote,git,nophpunit11
 
 override_dh_installdocs:
 	dh_installdocs -Xdoc/composer
 
 execute_after_dh_install:
 	mkdir --parent $(CURDIR)/debian/tmp
+	cp -r bin build
 	cd $(USRDIR)/share/php && \
-		$(CURDIR)/bin/composer completion --no-interaction bash \
+		$(USRDIR)/bin/composer completion --no-interaction bash \
 		> $(CURDIR)/debian/tmp/composer
 
 execute_before_dh_installman:
@@ -60,5 +75,5 @@
 		--source="composer $(UPSTREAM)" \
 		--no-info \
 		--no-discard-stderr \
-		"echo -n 'Usage: composer' && $(CURDIR)/bin/composer --no-ansi | tail -n+10" \
+		"echo -n 'Usage: composer' && $(USRDIR)/bin/composer --no-ansi | tail -n+10" \
 		> $(CURDIR)/debian/tmp/composer.1
