## composer 2.8.4

=== debian/changelog ===
composer (2.8.4-3) unstable; urgency=medium

  * Use --exclude-group multiple times (PHPUnit 11 fix)

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 13:20:16 +0100

composer (2.8.4-2) unstable; urgency=medium

  * Refresh patch for PHPUnit 11

 -- David Prévot <taffit@debian.org>  Tue, 31 Dec 2024 14:23:28 +0100

composer (2.8.4-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Ensure installed.php data is sorted deterministically, fixes #12197
  * Fix bump-after-update when passing inline constraints, fixes #12223
  * Avoid duplicate errors in the output, fixes #12214
  * Fixed InstalledVersions returning duplicates in some instances
  * Fix create-project when passed with a path repo to disable symlinks by default
  * Avoid returning failing status code if the composer audit fails in diagnose command, refs #12196
  * Release 2.8.4

  [ Javier Spagnoletti ]
  * Use a bitmask to produce deterministic exit codes for the "audit" command
    (#12203)

  [ Lctrs ]
  * disable multiplexing for some versions of curl (#12207)

  [ Justin Beaty ]
  * Fix bug when plugin defines multiple PluginInterface classes (#12226)

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2024 17:49:58 +0100
