=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 		tests/Composer/Test
 
 override_dh_auto_test:
-	phpunit --include-path build/share/php --exclude-group remote,git,nophpunit11
+	phpunit --include-path build/share/php --exclude-group remote --exclude-group git --exclude-group nophpunit11
 
 override_dh_installdocs:
 	dh_installdocs -Xdoc/composer
