## composer 2.8.5

=== debian/changelog ===
composer (2.8.5-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix unstable order of psr-0 and psr-4 rules
  * Fix regression from #12233 in InstalledVersions when reload is used,
    fixes #12235
  * Release 2.8.5

  [ Andrew Nicols ]
  * Discard unsupported FUNDING.yml URL values

  [ jrfnl ]
  * GitHubDriver::getFundingInfo(): add support for thanks.dev and polar.sh

  [ Tim Düsterhus ]
  * Generate build provenance attestation during release

  [ David Prévot ]
  * Revert "Force system dependencies loading"
  * Revert "Fix regression from #12233 in InstalledVersions when reload is
    used, fixes #12235"

 -- David Prévot <taffit@debian.org>  Wed, 22 Jan 2025 08:22:33 +0100
