=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh $@ -XCompiler.php
 
 override_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/Composer/autoload.php \
 		--template debian/autoload.php.tpl \
@@ -16,18 +17,6 @@
 	# Mimic system path for tests
 	cp -r src/Composer build/share/php
 	cp -r LICENSE res build/share/php/data/Composer
-	ln -s /usr/share/php/Composer/CaBundle build/share/php/Composer
-	ln -s /usr/share/php/Composer/ClassMapGenerator build/share/php/Composer
-	ln -s /usr/share/php/Composer/MetadataMinifier build/share/php/Composer
-	ln -s /usr/share/php/Composer/Pcre build/share/php/Composer
-	ln -s /usr/share/php/Composer/Semver build/share/php/Composer
-	ln -s /usr/share/php/Composer/Spdx build/share/php/Composer
-	ln -s /usr/share/php/Composer/XdebugHandler build/share/php/Composer
-	ln -s /usr/share/php/JsonSchema build/share/php
-	ln -s /usr/share/php/Psr build/share/php
-	ln -s /usr/share/php/React build/share/php
-	ln -s /usr/share/php/Seld build/share/php
-	ln -s /usr/share/php/Symfony build/share/php
 	phpabtpl \
 		--require-file ../build/share/php/Composer/autoload.php \
 		> debian/autoload.tests.php.tpl
