## composer 2.8.6

=== debian/changelog ===
composer (2.8.6-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Add hint when avast is detected and we get a curl error 60, refs #9894
  * Add verbose output to show when scripts get skipped by the new env var,
    refs #12290
  * Release 2.8.6

  [ Sebastian Muszynski ]
  * Introduce COMPOSER_WITH_DEPENDENCIES and COMPOSER_WITH_ALL_DEPENDENCIES
    env var

  [ Stephan ]
  * Merge pull request #12290 from glaubinix/skip-scripts-for-certain-events

  [ Petar Obradović ]
  * feat: Detect containerd runtime and allow root execution (#12299)

  [ Philipp Scheit ]
  * ZipArchiver: treat backslaches in folder names on Unix (#12327)

  [ David Prévot ]
  * Update debian/clean
  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Thu, 27 Feb 2025 23:08:48 +0100
