=== debian/control ===
--- 
+++ 
@@ -13,26 +13,25 @@
                php-composer-ca-bundle,
                php-composer-class-map-generator,
                php-composer-metadata-minifier,
-               php-composer-pcre (>= 2),
+               php-composer-pcre,
                php-composer-semver,
                php-composer-spdx-licenses,
-               php-composer-xdebug-handler (>= 2),
+               php-composer-xdebug-handler,
                php-curl,
                php-intl,
-               php-json-schema (>= 5.2.11),
+               php-json-schema,
                php-mbstring,
                php-psr-log,
-               php-react-promise (>= 2.8),
+               php-react-promise,
                php-seld-signal-handler,
-               php-symfony-console (>= 5.4),
-               php-symfony-filesystem (>= 5.4),
-               php-symfony-finder (>= 5.4),
-               php-symfony-process (>= 5.4),
+               php-symfony-console,
+               php-symfony-filesystem,
+               php-symfony-finder,
+               php-symfony-process,
                php-zip,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.2
+               phpunit
+Standards-Version: 4.7.0
 Homepage: https://getcomposer.org/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/composer
 Vcs-Git: https://salsa.debian.org/php-team/pear/composer.git
