## composer 2.8.8

=== debian/changelog ===
composer (2.8.8-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix deprecation warnings in code inspections for vendor/autoload.php,
    fixes #12331
  * Upgrade json-schema to v6 (#12348)
  * Fix handling of replace together with the --with temporary constraints
    (#12353)
  * Fix error handler to bypass some new php 8.5 warnings and avoid spamming
    output too much with deprecation notices (#12360)
  * Fix InstalledVersions showing duplicates at Composer runtime during
    installation, fixes #12225 (#12361)
  * Fix some issues running tests on 32bit
  * Release 2.8.8

  [ Maarten Bruna ]
  * Add COMPOSER_MAX_PARALLEL_PROCESSES (#12356)

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sat, 05 Apr 2025 11:50:09 +0200
