## composer 2.8.9

=== debian/changelog ===
composer (2.8.9-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Jordi Boggiano ]
  * Do not output script being run when running via composer <script-name>
    (#12383)
  * Check the whole archive if a file looks like a zipbomb (#12409)
  * Fix creation of empty archives (#12408)
  * Update changelog
  * Release 2.8.9

  [ Christian Flothmann ]
  * ensure that version suffixes are case-insensitive (#12376)

  [ HypeMC ]
  * Don't run bump after update with `--lock` (#12371)

 -- David Prévot <taffit@debian.org>  Wed, 14 May 2025 08:37:55 +0200
