## composer 2.8.10

=== debian/changelog ===
composer (2.8.10-1) experimental; urgency=medium

  [ Jordi Boggiano ]
  * Remove possessive quantifier to fix JS regex engines support for schema
    (#12438)
  * Fix git prompt breaking on some systems, fixes #12435 (#12437)
  * Avoid marking a plugin as loaded until it is actually loaded (#12442)
  * Fix deprecation message on PHP 8.4 when platform check fails (#12453)
  * Fix notification callback not being valid/reachable (#12472)
  * Release 2.8.10

  [ Steven Rombauts ]
  * Handle Planner role in GitLab (#12426)

  [ Robin Chalas ]
  * Add forward compatibility layer for symfony/console >7.4 (#12445)

  [ ConnorLock ]
  * Fix Bitbucket oauth failure (#12462)

 -- David Prévot <taffit@debian.org>  Sun, 13 Jul 2025 12:36:28 +0200
