## composer 2.8.11

=== debian/changelog ===
composer (2.8.11-2) unstable; urgency=medium

  * Skip failure on 32-bit architectures

 -- David Prévot <taffit@debian.org>  Fri, 29 Aug 2025 10:29:23 +0200

composer (2.8.11-1) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released

  [ Jordi Boggiano ]
  * Avoid bumping 0.3 to 0.4.3 for example for pre-1.0 releases, fixes #12468
  * Fix audit command failing when an advisory contains an invalid constraint
    (#12507)
  * Update changelog
  * Release 2.8.11

  [ Juliette ]
  * Update reactphp/promise for PHP 8.5 compatibility (#12504)
  * PHP 8.5 | Prevent deprecation notices for Reflection*::setAccessible()
    (#12493)

  [ Jorg Adam Sowa ]
  * fix: deprecation of curl_close in CurlDownloader.php (#12505)

  [ Alexey Kopytko ]
  * Fix PSR-4 warnings when using exclude-from-classmap with symlinked
    directories (#12480)

  [ David Prévot ]
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Tue, 26 Aug 2025 08:38:57 +0200
