## composer 2.8.12

=== debian/changelog ===
composer (2.8.12-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix php8.5 deprecation warning (#12513)
  * Bump json-schema min requirement
  * Bump symfony requirements
  * Drop react/promise 2.x again, refs #12188
  * Release 2.8.12

  [ ಠ_ಠ ]
  * fixes a regression introduced via 304107d (#12512)

  [ Stephan ]
  * Bitbucket: add support for API tokens (#12515)

  [ Daniel Pfeiffer ]
  * Allows for source to have a space in path name

  [ Kayw ]
  * Fix `--global` flag path resolution for bin-dir config

  [ Yanick Witschi ]
  * Reduce memory usage in PoolBuilder (#12516)

 -- David Prévot <taffit@debian.org>  Mon, 22 Sep 2025 12:35:31 +0200
