=== debian/control ===
--- 
+++ 
@@ -35,7 +35,6 @@
 Homepage: https://getcomposer.org/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/composer
 Vcs-Git: https://salsa.debian.org/php-team/pear/composer.git
-Rules-Requires-Root: no
 
 Package: composer
 Architecture: all
